Subject: [Megaco] Online decoder

From: Paul Long <[email-masked]>
Date: Wed, 17 May 2006 16:19:20 -0500

This link was in an email that I just dug out of my Junk folder. Don't 
know why Thunderbird put it there. (BTW, I have nothing to do with this 
company, "Linkbit.")

http://www.linkbit.com/support-decoder.html

It's pretty cool. I've been meaning to do something like this for a long 
time. You paste in the hex dump of a message, e.g., a Megaco binary 
encoding, select the protocol, and it decodes the message, displaying 
each field separately. If you want to try it out but don't have a hex 
dump handy, here's one I found online and cleaned up just for you:

3081 f3a1 81f0 8001 01a1 0da0 0b80 047b
7b7b 0481 0300 d903 a281 dba1 81d8 a081
d580 0227 0fa1 81ce 3081 cb80 0100 a381
c530 81c2 a081 bfa2 81bc a009 3007 a000
8103 ff00 00a1 81ae a081 99a1 8196 a181
9330 8190 8001 01a1 818a a022 8001 02a3
1d30 0b80 0400 0d00 0aa1 0304 0132 300e
8004 000d 0008 a106 0404 6731 3635 a164
a062 3060 300b 8004 0000 b001 a103 0401
3030 1380 0400 00b0 08a1 0b04 0949 4e20
4950 3420 2420 301b 8004 0000 b00f a113
0411 6175 6469 6f20 2420 5254 502f 4156
5020 3030 1f80 0400 00b0 0ca1 1704 1566
6d74 703a 5043 4d55 2056 4144 3d58 2d4e
4e56 4144 a310 8002 08ae a10a 3008 8004
0009 0005 a300 0a

Copy and paste this into the text box on 
http://www.linkbit.com/support-decoder.html, click the IP/NGN radio 
button, which displays a new set of layer radio buttons. Click the Layer 
4 button and then the "MEGACO Binary RFC 3525" button. Finally, click 
the "decode message" button.

Paul

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco